%define name   gmameui
%define version 0.2.11
%define release %mkrel 1

Summary:   GMAMEUI is a GTK+ MAME front-end
Name:      %{name}
Version:   %{version}
Release:   %{release}
URL:       http://gmameui.sourceforge.net/
Source:    %{name}-%{version}.tar.gz
License:   GPLv3+
Group:     Emulators
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gettext
BuildRequires: gtk2-devel
BuildRequires: scrollkeeper
BuildRequires: libarchive-devel
BuildRequires: expat-devel
BuildRequires: libglade2.0_0-devel
BuildRequires: libgnome2_0-devel
BuildRequires: pkgconfig
Requires: sdlmame
Requires: sdlmame-data >= %{sdlmame_data_version}
Requires(post): scrollkeeper
Requires(postun): scrollkeeper


%description
GMAMEUI is a front-end program that helps you run MAME
on non-Windows platforms, allowing you to run your arcade
games quickly and easily.

GMAMEUI is a fork of the defunct GXMame project.
It contains a number of enhancements over GXMame:

* Support for SDLMame
* Support for more recent versions of MAME
* Support for the recent features introduced to MAME
* Migration to Glade for UI, allowing easier maintenance
* A substantial number of bug fixes and UI improvements over GXMame

%prep
%setup -q

%build
%configure2_5x

%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Emulators" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

# remove the docs files from the wrong directory
rm -rf %{buildroot}/%{_docdir}
%find_lang %{name}

%clean
rm -rf %{buildroot}


%post
%{clean_menus}
%clean_scrollkeeper
%clean_desktop_database


%postun
%{clean_menus}
%clean_scrollkeeper
%clean_desktop_database


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/gnome/help/%{name}/C
%{_datadir}/omf/%{name}
%{_mandir}/man6/%{name}.6*


%changelog
* Sat Aug 29 2009 slick50 <lxgator@gmail.com> 0.2.11-1pclos2009
- 0.2.11

* Sat Jul 04 2009 slick50 <lxgator@gmail.com> 0.2.10-1pclos2009
- initial build
- fix menu entry (X-MandrivaLinux-MoreApplications-Emulators)

